Package org.codehaus.groovy.vmplugin.v17

# Class Java17

java.lang.Object
org.codehaus.groovy.vmplugin.v8.Java8
org.codehaus.groovy.vmplugin.v9.Java9
org.codehaus.groovy.vmplugin.v10.Java10
org.codehaus.groovy.vmplugin.v16.Java16
org.codehaus.groovy.vmplugin.v17.Java17

All Implemented Interfaces:
  `VMPlugin`

public class Java17 extends Java16
Java 17 based functions. Groovy 6.0 requires JDK 17 as the minimum version.

This plugin subsumes all functionality from earlier version-specific plugins (Java8 through Java16) into a single entry point for the VM plugin system.

Since:
  6.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Java17()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getVersion()`
  Returns the Java feature version handled by this plugin.

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v16.Java16

  `getInvokeSpecialHandle, getRecordComponentNames, invokeHandle, makeRecordComponents`

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v10.Java10

  `getPluginDefaultGroovyMethods`

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v9.Java9

  `checkAccessible, checkCanSetAccessible, getDefaultImportClasses, newLookup, transformMetaMethod, trySetAccessible`

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v8.Java8

  `applyTypeAnnotations, configureAnnotation, configureClassNode, configureTypeVariableDefinition, configureTypeVariableReference, fillParameterNames, getPluginStaticGroovyMethods, getValue, invalidateCallSites, makeClassNode, of, setAdditionalClassInformation, toAnnotationNode, transformMetaMethod`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.vmplugin.VMPlugin

  `configureAnnotationNodeFromDefinition`

- ## Constructor Details

  - ### Java17

    public Java17()

- ## Method Details

  - ### getVersion

    public int getVersion()
    Returns the Java feature version handled by this plugin.
    Specified by:
      `getVersion` in interface `VMPlugin`
    Overrides:
      `getVersion` in class `Java16`
    Returns:
      `17`